Bug 662033 - [NVa5] NOUVEAU(0): Error creating GPU channel: -19 | KDM Crashing if Desktop effects are enabled
Summary: [NVa5] NOUVEAU(0): Error creating GPU channel: -19 | KDM Crashing if Desktop ...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa
Version: 14
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dave Airlie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: [cat:modesetting]
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-10 11:40 UTC by Nikolai Maziashvili
Modified: 2018-04-11 12:49 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-29 18:52:22 UTC


Attachments (Terms of Use)
Xorg.0.log file (32.52 KB, text/plain)
2010-12-10 11:40 UTC, Nikolai Maziashvili
no flags Details
/var/log/messages file (12.17 KB, text/plain)
2010-12-10 11:43 UTC, Nikolai Maziashvili
no flags Details
dmesg file (68.57 KB, text/plain)
2010-12-10 11:48 UTC, Nikolai Maziashvili
no flags Details

Description Nikolai Maziashvili 2010-12-10 11:40:08 UTC
Created attachment 467958 [details]
Xorg.0.log file

After enabling 'Desktop Effects' (to be called 'DE' from now) kdm session crashes and logs me out of the session. After logging back in in the control panel i can see the DE are enabled but suspended. Re-enabling them is not possible. By following reboots DE is still suspended.
KDM normal functionality besides of this fact is not affected.


Hardware:
Intel(R) Core(TM) i7 CPU 
nVidia Corporation GT216 [GeForce GT 330M]

~# lsmod|grep video
video                  21637  1 nouveau

i'm attaching dmesg, /var/log/message and /var/log/Xorg.0.log files.

Comment 1 Nikolai Maziashvili 2010-12-10 11:43:53 UTC
Created attachment 467960 [details]
/var/log/messages file

I have removed beginning of the file, it was few thousands lines long. Here is only part from just before i have enabled Desktop Effects and after.

Comment 2 Nikolai Maziashvili 2010-12-10 11:48:08 UTC
Created attachment 467961 [details]
dmesg file

Comment 3 Matěj Cepl 2011-05-03 13:21:14 UTC
(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[   929.426] (WW) Falling back to old probe method for vesa
[   929.426] (WW) Falling back to old probe method for fbdev
[   929.428] (--) NOUVEAU(0): Chipset: "NVIDIA NVa5"
[   929.692] (EE) NOUVEAU(0): Error creating GPU channel: -19
[   929.692] (EE) NOUVEAU(0): Error initialising acceleration.  Falling back to NoAccel

Comment 4 Nikolai Maziashvili 2011-08-29 18:52:22 UTC
As far as i am concerned this bug can be closed. In resent versions of Fedora this problem is solved.
Unless no one will object...i'm closing this bug report.


Note You need to log in before you can comment on or make changes to this bug.